Package org.openoffice.da.comp.w2lcommon.filter

# Class ConfigurationDialogBase.PageHandler

java.lang.Object
org.openoffice.da.comp.w2lcommon.filter.ConfigurationDialogBase.PageHandler

Direct Known Subclasses:
  `ConfigurationDialogBase.AttributePageHandler`, `ConfigurationDialogBase.CustomFileHandler`, `ConfigurationDialogBase.UserListPageHandler`

Enclosing class:
  `ConfigurationDialogBase`

protected abstract class ConfigurationDialogBase.PageHandler extends Object

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PageHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`checkBoxFromConfig(DialogAccess dlg, String sCheckBoxName, String sConfigName)`
`protected void`
`checkBoxToConfig(DialogAccess dlg, String sCheckBoxName, String sConfigName)`
`protected boolean`
`deleteItem(String sName)`
`protected abstract void`
`getControls(DialogAccess dlg)`
`protected com.sun.star.awt.XDialog`
`getDialog(String sDialogName)`
`protected abstract boolean`
`handleEvent(DialogAccess dlg, String sMethodName)`
`protected void`
`listBoxFromConfig(DialogAccess dlg, String sListBoxName, String sConfigName, String[] sConfigValues, short nDefault)`
`protected void`
`listBoxToConfig(DialogAccess dlg, String sListBoxName, String sConfigName, String[] sConfigValues)`
`protected abstract void`
`setControls(DialogAccess dlg)`
`protected void`
`textFieldFromConfig(DialogAccess dlg, String sTextBoxName, String sConfigName)`
`protected void`
`textFieldToConfig(DialogAccess dlg, String sTextBoxName, String sConfigName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PageHandler

protected PageHandler()

## Method Details

### getControls

protected abstract void getControls(DialogAccess dlg)

### setControls

protected abstract void setControls(DialogAccess dlg)

### handleEvent

protected abstract boolean handleEvent(DialogAccess dlg, String sMethodName)

### checkBoxFromConfig

protected void checkBoxFromConfig(DialogAccess dlg, String sCheckBoxName, String sConfigName)

### checkBoxToConfig

protected void checkBoxToConfig(DialogAccess dlg, String sCheckBoxName, String sConfigName)

### textFieldFromConfig

protected void textFieldFromConfig(DialogAccess dlg, String sTextBoxName, String sConfigName)

### textFieldToConfig

protected void textFieldToConfig(DialogAccess dlg, String sTextBoxName, String sConfigName)

### listBoxFromConfig

protected void listBoxFromConfig(DialogAccess dlg, String sListBoxName, String sConfigName, String[] sConfigValues, short nDefault)

### listBoxToConfig

protected void listBoxToConfig(DialogAccess dlg, String sListBoxName, String sConfigName, String[] sConfigValues)

### getDialog

protected com.sun.star.awt.XDialog getDialog(String sDialogName)

### deleteItem

protected boolean deleteItem(String sName)